/**
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 * 
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
 */

const AppLogsIcon = require("./assets/images/icons/paper-icon.svg");
const GettingStartedIcon = require("./assets/images/icons/shuttle-icon.svg");

module.exports = () => {
    return {
        sections: {
            components: {
                "feedback-button": "./components/feedback/feedback.tsx"
            }
        },
        componentExtensions: [{
            component: "application",
            subComponent: "edit",
            type: "tab",
            panes: [{
                path: "./components/component-extensions/application/quick-start-pane",
                title: "devPortal:componentExtensions.component.application.quickStart.title"
            }]
        }],
        routes: [
            {
                components: "./components/application-logs/app-log-listing",
                exact: true,
                icon: {
                    icon: AppLogsIcon
                },
                id: "AppLog",
                name: "Application Logs",
                // TODO: Take the `developer` part from `AppConstants` once this file is converted to a ts.
                path: "/develop/application-logs",
                protected: true,
                showOnSidePanel: false
            },
            {
                category: "devPortal:components.sidePanel.categories.gettingStarted",
                components: "./components/getting-started/getting-started",
                exact: true,
                icon: {
                    icon: GettingStartedIcon
                },
                id: "getting-started",
                name: "Getting Started",
                order: 1,
                // TODO: Take the `developer` part from `AppConstants` once this file is converted to a ts.
                path: `${ window["AppUtils"].getConfig().developerApp.basePath }/getting-started`,
                protected: true,
                showOnSidePanel: true
            }
        ]
    };
};
